POST
https://api.monoova.com/au/core/payman-v1/PayId/PayIdResolution
Endpoint to return the PayID and account details for the provided PayID value.
Use this API to resolve a PayID to its alias name and linked bank account details before initiating a payment. The PayID resolution API searches the NPP Addressing Service for a PayID and returns the associated PayID and linked bank account details.
Don't expose any of the account details on the facing UI at any point and this information must be treated as strictly confidential. Only the PayID and name should be visible in the confirmation step before attempting payment.
Follow the below formatting for PayID:
Phone number
Consists of a “+” followed by the country code (from 1 to 3 characters), then a “-“ then a number between 1 and 9, and then any combination of numbers.
Example: +61-423765879
Email
Consists of a character string with a maximum length of 256 characters in lower case. This must include the “@” symbol with leading and trailing characters, and no whitespace.
Example: [email protected]
ABN or ACN
Consists of a nine- to eleven-digit number. This can be either the ABN or the ACN, depending on the type of legal entity the customer operates under.
Example: 601428737
Organisation Identifier
The Identifier must include the company/organisation name and either the description of the business/trade/product/campaign.
Example: gold plumbing syndey
acceptstringGenerated from available response content types
bodyobjectRequest payload used to resolve a PayId.
200OK. The request was processed successfully and the PayId resolution result is returned.
400<p>Bad Request. The request payload failed validation, for example the payId does not match the format expected for the supplied payIdType.</p>
401<p>Unauthorized. The bearer token is missing, malformed, or has expired. Generate a new token and retry the request.</p>
500Internal Server Error. The request could not be completed due to an unexpected condition. Retry using the same traceId when contacting support.
curl --request POST \
--url https://api.monoova.com/au/core/payman-v1/PayId/PayIdResolution \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '{
"payId": "[email protected]",
"payIdType": "email"
}'